=== debian/changelog ===
libeufin (0.9.2) unstable; urgency=medium

  * New upstream release.

 -- Christian Grothoff <grothoff@gnu.org>  Tue, 21 Feb 2023 14:46:04 +0200

libeufin (0.9.1) unstable; urgency=medium

  * Prepare for first proper release.

 -- Christian Grothoff <grothoff@gnu.org>  Sat, 21 Jan 2023 14:46:04 +0200

libeufin (0.0.1-12) unstable; urgency=medium

  * Fix key letter generation.

 -- Florian Dold <florian@dold.me>  Thu, 14 Oct 2021 14:46:04 +0200

libeufin (0.0.1-11) unstable; urgency=medium

  * Add anastasis facade to the nexus.

 -- Florian Dold <florian@dold.me>  Tue, 24 Aug 2021 18:40:11 +0200

libeufin (0.0.1-10) unstable; urgency=medium

  * Add BIC validation to nexus and sandbox.

 -- Florian Dold <florian@dold.me>  Sat, 07 Aug 2021 21:40:28 +0200

libeufin (0.0.1-9) unstable; urgency=medium

  * Various bugfixes.

 -- Florian Dold <florian@dold.me>  Sat, 07 Aug 2021 16:09:59 +0200

libeufin (0.0.1-8) unstable; urgency=medium

  * Various bugfixes.

 -- Florian Dold <florian@dold.me>  Sat, 07 Aug 2021 14:32:14 +0200

libeufin (0.0.1-7) unstable; urgency=medium

  * New sandbox simulate-incoming-transaction command.

 -- Florian Dold <florian@dold.me>  Fri, 06 Aug 2021 00:08:52 +0200

libeufin (0.0.1-6) unstable; urgency=medium

  * Fix trailing slash in facade URL.

 -- Florian Dold <florian@dold.me>  Tue, 03 Aug 2021 14:43:33 +0200

libeufin (0.0.1-5) unstable; urgency=medium

  * Fix facade URL.

 -- Florian Dold <florian@dold.me>  Tue, 03 Aug 2021 14:43:33 +0200

libeufin (0.0.1-4) unstable; urgency=medium

  * Bugfixes in libeufin-cli and libeufin-nexus.

 -- Florian Dold <florian@dold.me>  Tue, 03 Aug 2021 13:59:52 +0200

libeufin (0.0.1-3) unstable; urgency=medium

  * Sandbox bugfixes.
  * Packaging: Install tmpfiles properly.

 -- Florian Dold <florian@dold.me>  Mon, 02 Aug 2021 19:53:44 +0200

libeufin (0.0.1-2) unstable; urgency=medium

  * Support debhelper-compat level 12.

 -- Florian Dold <florian@dold.me>  Sun, 01 Aug 2021 18:50:25 +0200

libeufin (0.0.1-1) unstable; urgency=medium

  * Packaging fixes.

 -- Florian Dold <florian@dold.me>  Sat, 31 Jul 2021 16:34:40 +0200

libeufin (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Christian Grothoff <grothoff@gnu.org>  Sun, 17 Jan 2021 07:03:45 +0100
