=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

SHELL := sh -e

export JAVA_HOME = /usr/lib/jvm/default-java
LIBEUFIN_HOME = /usr/share/libeufin
DEV =
FULLVER = $(DEB_VERSION_UPSTREAM)$(DEV)

%:
	dh ${@}

clean:
	rm -rf libeufin-$(FULLVER)

# Override the build step, because we current need to do it manually
# outside the regular Debian package build.
override_dh_auto_build:
	true
override_dh_auto_test:
	true
override_dh_auto_configure:
	true
override_dh_auto_install:
	unzip build/distributions/libeufin-$(FULLVER).zip
	dh_install libeufin-$(FULLVER)/lib/nexus-$(FULLVER)-all.jar $(LIBEUFIN_HOME)/lib
	dh_install libeufin-$(FULLVER)/lib/sandbox-$(FULLVER)-all.jar $(LIBEUFIN_HOME)/lib
	install -D -m755 libeufin-$(FULLVER)/bin/libeufin-cli debian/libeufin/$(LIBEUFIN_HOME)/bin/libeufin-cli
	install -D -m755 libeufin-$(FULLVER)/bin/libeufin-nexus debian/libeufin/$(LIBEUFIN_HOME)/bin/libeufin-nexus
	install -D -m755 libeufin-$(FULLVER)/bin/libeufin-sandbox debian/libeufin/$(LIBEUFIN_HOME)/bin/libeufin-sandbox
	dh_link $(LIBEUFIN_HOME)/bin/libeufin-cli /usr/bin/libeufin-cli
	dh_link $(LIBEUFIN_HOME)/bin/libeufin-nexus /usr/bin/libeufin-nexus
	dh_link $(LIBEUFIN_HOME)/bin/libeufin-sandbox /usr/bin/libeufin-sandbox

# Override this step because it's very slow and likely
# unnecessary for us.
override_dh_strip_nondeterminism:
	true

override_dh_install:
	dh_install
# Needs to be called manually for debhelper-compat < 13
	dh_installtmpfiles

override_dh_installsystemd:
	# Need to specify units manually, since we have multiple
	# and dh_installsystemd by default only looks for "<package>.service".
	dh_installsystemd -plibeufin --name=libeufin-nexus --no-start --no-enable
	dh_installsystemd -plibeufin --name=libeufin-sandbox --no-start --no-enable
	# final invocation to generate daemon reload
	dh_installsystemd

get-orig-source:
	uscan --force-download --rename
